SystemOrganization addCategory: #'SeasideGallery-Views'!
SystemOrganization addCategory: #'SeasideGallery-Model'!
SystemOrganization addCategory: #'SeasideGallery-Util'!

WAComponent subclass: #SgComponent
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SeasideGallery-Views'!

!SgComponent class methodsFor: 'as yet unclassified' stamp: 'HK 11/1/2010 22:00:40.581'!
appName

	^ 'Seaside Gallery'! !

!SgComponent class methodsFor: 'as yet unclassified' stamp: 'HK 11/1/2010 22:01:00.834'!
styleSheet

	^ 'style.css'! !

!SgComponent methodsFor: 'as yet unclassified' stamp: 'HK 11/1/2010 22:06:28.656'!
updateRoot: anHtmlRoot
 
	super updateRoot: anHtmlRoot.
	anHtmlRoot title: self class appName.
	anHtmlRoot stylesheet url: SgFilePool / self class styleSheet! !

SgComponent subclass: #SgGalleryComponent
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SeasideGallery-Views'!

!SgGalleryComponent methodsFor: 'as yet unclassified' stamp: 'hauke 10/28/2010 11:25'!
children

	^ Array new! !

!SgGalleryComponent methodsFor: 'as yet unclassified' stamp: 'hauke 10/28/2010 11:24'!
initialize

	super initialize! !

!SgGalleryComponent methodsFor: 'as yet unclassified' stamp: 'LT 11/1/2010 11:53:03.99'!
removeData

	SgFilePool new reset.
	SgImage findAll do: [ :each | each delete ].
	SgGallery findAll do: [ :each | each delete ].! !

!SgGalleryComponent methodsFor: 'as yet unclassified' stamp: 'HK 11/1/2010 22:26:21.592'!
renderContentOn: html

	self
		renderHeadingOn: html;
		renderFilesOn: html;
		renderUploaderOn: html! !

!SgGalleryComponent methodsFor: 'as yet unclassified' stamp: 'HK 11/1/2010 22:25:56.986'!
renderFilesOn: html

	SgImage find: [ :each | each creator = self session user]; do: [ :each |
		html div with: [
			html paragraph: each fileName.
			html image url: (SgFilePool new urlForFile: each fileName)
			]
		]! !

!SgGalleryComponent methodsFor: 'as yet unclassified' stamp: 'hauke 10/28/2010 11:28'!
renderHeadingOn: html

	html heading level: 1; with: 'Seaside Gallery'! !

!SgGalleryComponent methodsFor: 'as yet unclassified' stamp: 'LT 11/1/2010 11:45:26.768'!
renderPlaygroundOn: html

	html anchor callback: [
		self call: (SgMetaEditorComponent new)
		]; with: 'Edit'! !

!SgGalleryComponent methodsFor: 'as yet unclassified' stamp: 'LT 11/1/2010 11:45:37.174'!
renderUploaderOn: html

	html div with: (SgUploaderComponent new)! !

SgComponent subclass: #SgLoginComponent
	instanceVariableNames: 'username password messageComponent'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SeasideGallery-Views'!

!SgLoginComponent methodsFor: 'as yet unclassified' stamp: 'LT 11/1/2010 15:13:37.855'!
children

	^ Array with: self messageComponent.! !

!SgLoginComponent methodsFor: 'as yet unclassified' stamp: 'LT 11/1/2010 15:14:15.101'!
initialize

	super initialize.
	self messageComponent: SgMessageComponent new..! !

!SgLoginComponent methodsFor: 'accessing' stamp: 'LT 11/1/2010 15:12:28.307'!
messageComponent
	^ messageComponent! !

!SgLoginComponent methodsFor: 'accessing' stamp: 'LT 11/1/2010 15:12:28.313'!
messageComponent: anObject
	messageComponent := anObject! !

!SgLoginComponent methodsFor: 'accessing' stamp: 'HK 11/1/2010 10:19:29.322'!
password
	^ password! !

!SgLoginComponent methodsFor: 'accessing' stamp: 'HK 11/1/2010 10:19:29.334'!
password: anObject
	password := anObject! !

!SgLoginComponent methodsFor: 'as yet unclassified' stamp: 'HK 11/1/2010 15:20:38.925'!
renderContentOn: html

	html form: 
		[self
			renderHeadingOn: html;
			renderMessageComponentOn: html;
			renderUserNameOn: html;
			renderPasswordInputOn: html;
			renderSubmitButtonOn: html;
			renderRegisterLinkOn: html].! !

!SgLoginComponent methodsFor: 'as yet unclassified' stamp: 'HK 11/1/2010 10:24:13.242'!
renderHeadingOn: html

	html heading: 'Login'! !

!SgLoginComponent methodsFor: 'as yet unclassified' stamp: 'HK 11/1/2010 15:43:49.309'!
renderMessageComponentOn: html

	html render: self messageComponent.! !

!SgLoginComponent methodsFor: 'as yet unclassified' stamp: 'HK 11/1/2010 22:07:42.084'!
renderPasswordInputOn: html

	html div with:
		[ html span 
			class: 'label'; 
			with: 'Password'.
		html span with:
			[ html passwordInput on: #password of: self ]].! !

!SgLoginComponent methodsFor: 'as yet unclassified' stamp: 'LT 11/1/2010 14:55:05.574'!
renderRegisterLinkOn: html

	html anchor 
		callback: [self answer: #registerUser];
		with: 'Register'.! !

!SgLoginComponent methodsFor: 'as yet unclassified' stamp: 'LT 11/1/2010 15:02:51.709'!
renderSubmitButtonOn: html

	html submitButton
		callback: [self tryToLogin];
		with: 'Login'.! !

!SgLoginComponent methodsFor: 'as yet unclassified' stamp: 'LT 11/1/2010 14:23:58.113'!
renderUserNameOn: html

	html div with:
		[ html span 
			class: 'label'; 
			with: 'Username'.
		html span with:
			[ html textInput 
				on: #username 
				of: self ]].! !

!SgLoginComponent methodsFor: 'as yet unclassified' stamp: 'HK 11/1/2010 15:38:35.528'!
tryToLogin

	| user |
	user := self validateLogin.
	(user isNil)
		ifTrue: [self messageComponent showMessage: 'Wrong password or username']
		ifFalse: [self answer: user].! !

!SgLoginComponent methodsFor: 'accessing' stamp: 'LT 11/1/2010 14:24:57.732'!
username

	^ username! !

!SgLoginComponent methodsFor: 'accessing' stamp: 'LT 11/1/2010 14:25:05.219'!
username: anObject

	username := anObject! !

!SgLoginComponent methodsFor: 'as yet unclassified' stamp: 'HK 11/1/2010 22:13:29.039'!
validateLogin

	| user passwordIsValid |
	user := SgUser 
		find: [ :each | each username = self username]
		ifAbsent: [^ nil].
	passwordIsValid := (user validatePassword: self password).
	passwordIsValid
		ifTrue: [^ user]
		ifFalse: [^ nil]! !

SgComponent subclass: #SgRegisterComponent
	instanceVariableNames: 'user password repeatedPassword messageComponent'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SeasideGallery-Views'!

!SgRegisterComponent methodsFor: 'as yet unclassified' stamp: 'HK 11/1/2010 15:54:03.357'!
doPasswordsCorrespond

	^ self password = self repeatedPassword! !

!SgRegisterComponent methodsFor: 'as yet unclassified' stamp: 'HK 11/1/2010 15:59:26.182'!
initialize

	super initialize.
	self
		user: SgUser new;
		messageComponent: SgMessageComponent new..! !

!SgRegisterComponent methodsFor: 'as yet unclassified' stamp: 'HK 11/1/2010 16:06:26.647'!
isNewUserValid

	^ self isUserDataCompleted and:
		[ self isUsernameAvailable and:
			[self doPasswordsCorrespond]]! !

!SgRegisterComponent methodsFor: 'as yet unclassified' stamp: 'HK 11/1/2010 16:09:00.003'!
isUserDataCompleted

	self user username ifEmpty: [^ false].
	self user firstName ifEmpty: [^ false].
	self user lastName ifEmpty: [^ false].
	self password ifEmpty: [^ false].
	self repeatedPassword ifEmpty: [^ false].
	^ true! !

!SgRegisterComponent methodsFor: 'as yet unclassified' stamp: 'HK 11/1/2010 15:56:04.777'!
isUsernameAvailable

	SgUser
		find: [ :each | each username = self user username]
		ifAbsent: [ ^ true ].
	^ false
	! !

!SgRegisterComponent methodsFor: 'accessing' stamp: 'HK 11/1/2010 15:59:44.385'!
messageComponent
	^ messageComponent! !

!SgRegisterComponent methodsFor: 'accessing' stamp: 'HK 11/1/2010 15:59:44.393'!
messageComponent: anObject
	messageComponent := anObject! !

!SgRegisterComponent methodsFor: 'accessing' stamp: 'HK 11/1/2010 15:51:30.746'!
password
	^ password! !

!SgRegisterComponent methodsFor: 'accessing' stamp: 'HK 11/1/2010 15:51:30.756'!
password: anObject
	password := anObject! !

!SgRegisterComponent methodsFor: 'as yet unclassified' stamp: 'HK 11/1/2010 16:11:00.188'!
registerUser

	self isNewUserValid
		ifTrue:
			[self
				user password: self password;
				save.
			self answer: self user]
		ifFalse:
			[self messageComponent showMessage: 'Try again']! !

!SgRegisterComponent methodsFor: 'as yet unclassified' stamp: 'HK 11/1/2010 16:02:18.841'!
renderContentOn: html

	html form: 
		[self
			renderMessageComponentOn: html;
			renderUsernameInputOn: html;
			renderFirstNameInputOn: html;
			renderLastNameInputOn: html;
			renderPasswordInputOn: html;
			renderRepeatedPasswordInputOn: html;
			renderSubmitButtonOn: html]. ! !

!SgRegisterComponent methodsFor: 'as yet unclassified' stamp: 'LT 11/1/2010 13:14:23.208'!
renderFirstNameInputOn: html

	html div with: 
		[html span 
			class: 'label';
			with: 'First name'.
		html span with: 
			[html textInput
				on: #firstName
				of: self user]]! !

!SgRegisterComponent methodsFor: 'as yet unclassified' stamp: 'LT 11/1/2010 13:14:50.929'!
renderLastNameInputOn: html

	html div with: 
		[html span 
			class: 'label';
			with: 'Last name'.
		html span with: 
			[html textInput
				on: #lastName
				of: self user]]! !

!SgRegisterComponent methodsFor: 'as yet unclassified' stamp: 'HK 11/1/2010 16:02:20.497'!
renderMessageComponentOn: html

	html render: self messageComponent.! !

!SgRegisterComponent methodsFor: 'as yet unclassified' stamp: 'HK 11/1/2010 15:51:39.698'!
renderPasswordInputOn: html

	html div with: 
		[html span 
			class: 'label';
			with: 'Password'.
		html span with: 
			[html passwordInput
				on: #password
				of: self]]! !

!SgRegisterComponent methodsFor: 'as yet unclassified' stamp: 'LT 11/1/2010 14:09:53.059'!
renderRepeatedPasswordInputOn: html

	html div with: 
		[html span 
			class: 'label';
			with: 'Password repetition'.
		html span with: 
			[html passwordInput
				on: #repeatedPassword
				of: self]]! !

!SgRegisterComponent methodsFor: 'as yet unclassified' stamp: 'HK 11/1/2010 16:04:17.451'!
renderSubmitButtonOn: html

	html submitButton
		callback: [self registerUser];
		with: 'Register'! !

!SgRegisterComponent methodsFor: 'as yet unclassified' stamp: 'LT 11/1/2010 13:12:45.942'!
renderUsernameInputOn: html

	html div with: 
		[html span 
			class: 'label';
			with: 'Username'.
		html span with: 
			[html textInput
				on: #username
				of: self user]]! !

!SgRegisterComponent methodsFor: 'accessing' stamp: 'HK 11/1/2010 15:51:30.766'!
repeatedPassword
	^ repeatedPassword! !

!SgRegisterComponent methodsFor: 'accessing' stamp: 'HK 11/1/2010 15:51:30.774'!
repeatedPassword: anObject
	repeatedPassword := anObject! !

!SgRegisterComponent methodsFor: 'accessing' stamp: 'LT 11/1/2010 13:05:19.059'!
user

	^ user
! !

!SgRegisterComponent methodsFor: 'accessing' stamp: 'LT 11/1/2010 13:05:19.069'!
user: aSgUser

	user := aSgUser
! !

WAComponent subclass: #SgDeskComponent
	instanceVariableNames: 'currentComponent'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SeasideGallery-Views'!

!SgDeskComponent methodsFor: 'accessing' stamp: 'LT 11/2/2010 11:01:39.318'!
currentComponent
	^ currentComponent! !

!SgDeskComponent methodsFor: 'accessing' stamp: 'LT 11/2/2010 11:01:39.329'!
currentComponent: anObject
	currentComponent := anObject! !

!SgDeskComponent methodsFor: 'as yet unclassified' stamp: 'LT 11/2/2010 13:46:07.485'!
initialize

	super initialize.
	self currentComponent: SgGalleryComponent new.! !

WAComponent subclass: #SgFootComponent
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SeasideGallery-Views'!

!SgFootComponent methodsFor: 'as yet unclassified' stamp: 'LT 11/2/2010 10:57:52.463'!
renderConentOn: html

	html div 
		id: 'head';
		with: [self renderDisclaimerOn: html].! !

!SgFootComponent methodsFor: 'as yet unclassified' stamp: 'LT 11/2/2010 10:58:29.62'!
renderDisclaimerOn: html

	html paragraph with: 'Developed for the Bachelorproject H-1'.! !

WAComponent subclass: #SgHeadComponent
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SeasideGallery-Views'!

!SgHeadComponent methodsFor: 'as yet unclassified' stamp: 'LT 11/2/2010 10:59:03.325'!
renderContentOn: html

	html div
		class: 'head';
		with: [self renderLogoOn: html].! !

!SgHeadComponent methodsFor: 'as yet unclassified' stamp: 'LT 11/2/2010 11:00:24.721'!
renderLogoOn: html
	"should be exchanged with an image!!"
	html heading: 'Seaside Gallery'.! !

WAComponent subclass: #SgMenuComponent
	instanceVariableNames: 'entries'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SeasideGallery-Views'!

!SgMenuComponent methodsFor: 'as yet unclassified' stamp: 'LT 11/2/2010 13:59:12.813'!
addEntry: aString withAction: aBlock

	^ self entries add: aString -> aBlock.! !

!SgMenuComponent methodsFor: 'accessing' stamp: 'LT 11/2/2010 11:03:14.77'!
entries

	^ entries! !

!SgMenuComponent methodsFor: 'accessing' stamp: 'LT 11/2/2010 11:04:18.912'!
entries: anOrderedCollection

	entries := anOrderedCollection! !

!SgMenuComponent methodsFor: 'as yet unclassified' stamp: 'LT 11/2/2010 11:04:35.857'!
initialize

	super initialize.
	self entries: OrderedCollection new.! !

!SgMenuComponent methodsFor: 'as yet unclassified' stamp: 'LT 11/2/2010 11:06:34.637'!
renderContentOn: html

	html div
		class: 'menu';
		with: [self renderNavigationOn: html]! !

WAComponent subclass: #SgMessageComponent
	instanceVariableNames: 'message isVisible'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SeasideGallery-Views'!

!SgMessageComponent methodsFor: 'accessing' stamp: 'HK 11/1/2010 15:34:53.243'!
hide
	self isVisible: false! !

!SgMessageComponent methodsFor: 'as yet unclassified' stamp: 'HK 11/1/2010 15:35:32.513'!
initialize

	super initialize.
	self hide! !

!SgMessageComponent methodsFor: 'accessing' stamp: 'HK 11/1/2010 15:34:15.637'!
isVisible
	^ isVisible! !

!SgMessageComponent methodsFor: 'accessing' stamp: 'HK 11/1/2010 15:34:15.647'!
isVisible: anObject
	isVisible := anObject! !

!SgMessageComponent methodsFor: 'accessing' stamp: 'LT 11/1/2010 15:06:59.308'!
message
	^ message! !

!SgMessageComponent methodsFor: 'accessing' stamp: 'LT 11/1/2010 15:06:59.321'!
message: anObject
	message := anObject! !

!SgMessageComponent methodsFor: 'as yet unclassified' stamp: 'HK 11/1/2010 15:44:20.379'!
renderContentOn: html

	self isVisible
		ifFalse: [^ self]
		ifTrue: [self renderMessageOn: html]! !

!SgMessageComponent methodsFor: 'as yet unclassified' stamp: 'HK 11/1/2010 15:44:49.297'!
renderMessageOn: html

	html div 
		class: 'message';
		with: [html text: self message].! !

!SgMessageComponent methodsFor: 'accessing' stamp: 'HK 11/1/2010 15:34:46.202'!
show

	self isVisible: true! !

!SgMessageComponent methodsFor: 'accessing' stamp: 'HK 11/1/2010 15:39:38.342'!
showMessage: aMessage

	self
		show;
		message: aMessage! !

WAComponent subclass: #SgMetaEditorComponent
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SeasideGallery-Views'!

!SgMetaEditorComponent methodsFor: 'as yet unclassified' stamp: 'hauke 10/28/2010 12:07'!
renderContentOn: html

	html text: 'Hallo'! !

WAComponent subclass: #SgRootComponent
	instanceVariableNames: 'head menu desk foot'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SeasideGallery-Views'!

!SgRootComponent methodsFor: 'accessing' stamp: 'LT 11/2/2010 10:55:16.731'!
desk
	^ desk! !

!SgRootComponent methodsFor: 'accessing' stamp: 'LT 11/2/2010 10:55:16.737'!
desk: anObject
	desk := anObject! !

!SgRootComponent methodsFor: 'accessing' stamp: 'LT 11/2/2010 10:55:16.743'!
foot
	^ foot! !

!SgRootComponent methodsFor: 'accessing' stamp: 'LT 11/2/2010 10:55:16.749'!
foot: anObject
	foot := anObject! !

!SgRootComponent methodsFor: 'accessing' stamp: 'LT 11/2/2010 10:55:16.703'!
head
	^ head! !

!SgRootComponent methodsFor: 'accessing' stamp: 'LT 11/2/2010 10:55:16.713'!
head: anObject
	head := anObject! !

!SgRootComponent methodsFor: 'as yet unclassified' stamp: 'LT 11/2/2010 10:55:56.725'!
initialize

	super initialize.
	self 
		initializeHead;
		initializeMenu;
		initializeDesk;
		initializeFoot.! !

!SgRootComponent methodsFor: 'as yet unclassified' stamp: 'LT 11/2/2010 11:02:19.135'!
initializeDesk

	self desk: SgDeskComponent new.! !

!SgRootComponent methodsFor: 'as yet unclassified' stamp: 'LT 11/2/2010 13:42:59.612'!
initializeFoot

	self root: SgRootComponent new.! !

!SgRootComponent methodsFor: 'as yet unclassified' stamp: 'LT 11/2/2010 11:00:51.464'!
initializeHead

	self head: SgHeadComponent new.! !

!SgRootComponent methodsFor: 'as yet unclassified' stamp: 'LT 11/2/2010 13:59:24.009'!
initializeMenu

	self menu: (SgMenuComponent new 
		addEntry: 'Logout' withAction: [self session logout];
		yourself).
	! !

!SgRootComponent methodsFor: 'accessing' stamp: 'LT 11/2/2010 10:55:16.719'!
menu
	^ menu! !

!SgRootComponent methodsFor: 'accessing' stamp: 'LT 11/2/2010 10:55:16.725'!
menu: anObject
	menu := anObject! !

WAComponent subclass: #SgUploaderComponent
	instanceVariableNames: 'filePool'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SeasideGallery-Views'!

!SgUploaderComponent class methodsFor: 'as yet unclassified' stamp: 'HK 10/28/2010 14:41:18.118'!
supportedFileTypes

	^ Array
		with: 'image/gif'
		with: 'image/png'
		with: 'image/jpeg'! !

!SgUploaderComponent methodsFor: 'as yet unclassified' stamp: 'hauke 10/28/2010 11:43'!
filePool

	^ filePool! !

!SgUploaderComponent methodsFor: 'as yet unclassified' stamp: 'hauke 10/28/2010 11:43'!
filePool: aLibrary

	filePool := aLibrary! !

!SgUploaderComponent methodsFor: 'as yet unclassified' stamp: 'HK 10/28/2010 14:40:21.575'!
fileTypeIsSupportedFor: aFile


	^ self class supportedFileTypes includes: (aFile contentType greaseString)
	! !

!SgUploaderComponent methodsFor: 'as yet unclassified' stamp: 'hauke 10/28/2010 11:49'!
initialize

	super initialize.
	self filePool: (SgFilePool new)! !

!SgUploaderComponent methodsFor: 'as yet unclassified' stamp: 'hauke 10/28/2010 11:50'!
renderContentOn: html

	self renderFormOn: html! !

!SgUploaderComponent methodsFor: 'as yet unclassified' stamp: 'HK 10/28/2010 15:50:27.31'!
renderFormOn: html

	html form multipart; with: [
		html fileUpload callback: [ :newFile |
			self uploadFile: newFile.
			].
		html submitButton: 'Upload'
		]! !

!SgUploaderComponent methodsFor: 'as yet unclassified' stamp: 'LT 11/1/2010 11:53:03.997'!
uploadFile: aFile

	| uploadedPicture |
	
	(self fileTypeIsSupportedFor: aFile) ifTrue: [
		self filePool addFile: aFile.
		uploadedPicture := SgImage new
			title: aFile fileName;
			fileName: aFile fileName.
		uploadedPicture save.
		
		]! !

SDActiveRecord subclass: #SgGallery
	instanceVariableNames: 'title owner isPublic created pictures'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SeasideGallery-Model'!

!SgGallery methodsFor: 'as yet unclassified' stamp: 'hauke 10/28/2010 08:15'!
initialize

	super initialize.! !

!SgGallery methodsFor: 'as yet unclassified' stamp: 'hauke 10/28/2010 08:16'!
size! !

SDActiveRecord subclass: #SgImage
	instanceVariableNames: 'title fileName thumbnail'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SeasideGallery-Model'!

!SgImage class methodsFor: 'as yet unclassified' stamp: 'hauke 10/28/2010 12:14'!
thumbnailSize

	^ 100! !

!SgImage methodsFor: 'as yet unclassified' stamp: 'hauke 10/28/2010 12:13'!
createThumbnail! !

!SgImage methodsFor: 'as yet unclassified' stamp: 'hauke 10/28/2010 13:12'!
fileName
	^ fileName! !

!SgImage methodsFor: 'as yet unclassified' stamp: 'hauke 10/28/2010 12:13'!
fileName: anObject
	fileName := anObject! !

!SgImage methodsFor: 'as yet unclassified' stamp: 'hauke 10/28/2010 12:12'!
title: aString
	title := aString! !

SDActiveRecord subclass: #SgUser
	instanceVariableNames: 'hashedPassword username firstName lastName'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SeasideGallery-Model'!

!SgUser class methodsFor: 'as yet unclassified' stamp: 'LT 11/1/2010 14:32:10.424'!
hashPassword: aString

	^ GRPlatform current secureHashFor: aString! !

!SgUser methodsFor: 'accessing' stamp: 'LT 11/1/2010 13:13:32.603'!
firstName
	^ firstName! !

!SgUser methodsFor: 'accessing' stamp: 'LT 11/1/2010 13:13:32.613'!
firstName: anObject
	firstName := anObject! !

!SgUser methodsFor: 'accessing' stamp: 'LT 11/1/2010 14:30:18.923'!
hashedPassword
	^ hashedPassword! !

!SgUser methodsFor: 'accessing' stamp: 'LT 11/1/2010 14:30:18.933'!
hashedPassword: anObject
	hashedPassword := anObject! !

!SgUser methodsFor: 'accessing' stamp: 'LT 11/1/2010 13:13:32.623'!
lastName
	^ lastName! !

!SgUser methodsFor: 'accessing' stamp: 'LT 11/1/2010 13:13:32.629'!
lastName: anObject
	lastName := anObject! !

!SgUser methodsFor: 'accessing' stamp: 'HK 11/1/2010 16:11:54.201'!
password: aString

	self hashedPassword: (GRPlatform current secureHashFor: aString)! !

!SgUser methodsFor: 'accessing' stamp: 'LT 11/1/2010 13:07:57.87'!
username
	^ username! !

!SgUser methodsFor: 'accessing' stamp: 'LT 11/1/2010 13:08:02.341'!
username: anObject
	username := anObject! !

!SgUser methodsFor: 'as yet unclassified' stamp: 'HK 11/2/2010 10:20:22.563'!
validatePassword: aString

	| passwordHash |
	passwordHash := self class hashPassword: aString.
	^ self hashedPassword = passwordHash! !

WAFileLibrary subclass: #SgFilePool
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SeasideGallery-Views'!

!SgFilePool methodsFor: 'uploaded' stamp: 'HK 10/28/2010 14:30:30.173'!
reset

	self filenames do: [ :each |
		self removeFile: each
		]! !

!SgFilePool methodsFor: 'uploaded' stamp: 'HK 11/1/2010 22:09:17.79'!
styleCss
	^ '
	
	body {
		font-family: Verdana;
	}
	
	.message {
		color: red;
		padding: 10px;
		border: 1px solid grey;
	}
	
	.label {
		display: table-cell;
		width: 200px;
	}'! !

Object subclass: #SgInstaller
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SeasideGallery-Util'!

!SgInstaller class methodsFor: 'as yet unclassified' stamp: 'LT 11/2/2010 10:43:26.936'!
setup

	| application |
	application := WAAdmin register: SgRootTask asApplicationAt: 'gallery'.
	application
		preferenceAt: #sessionClass put: SgSession;
		addLibrary: JQDeploymentLibrary;
		addLibrary: JQUiDeploymentLibrary! !

WATask subclass: #SgRootTask
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SeasideGallery-Views'!

!SgRootTask class methodsFor: 'as yet unclassified' stamp: 'HK 11/1/2010 22:05:05.61'!
canBeRoot

	^ true! !

!SgRootTask methodsFor: 'as yet unclassified' stamp: 'LT 11/2/2010 14:02:19.334'!
go

	self session isLoggedIn
		ifTrue: 
			[self halt.
			self call: SgRootComponent new]
		ifFalse: [self handleLogin]! !

!SgRootTask methodsFor: 'as yet unclassified' stamp: 'LT 11/2/2010 13:55:55.259'!
handleLogin

	| loginAnswer user |
	loginAnswer := self call: SgLoginComponent new.
	loginAnswer = #registerUser 
		ifTrue: [user := self call: SgRegisterComponent new.]
		ifFalse: 
			[user := loginAnswer.
			self session login: user.
			self go].! !

WASession subclass: #SgSession
	instanceVariableNames: 'user'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SeasideGallery-Views'!

!SgSession methodsFor: 'accessing' stamp: 'LT 11/1/2010 11:40:20.637'!
isLoggedIn

	^ self user notNil! !

!SgSession methodsFor: 'accessing' stamp: 'HK 11/1/2010 22:21:22.625'!
login: aUser

	self user: aUser.
	Transcript show: 'logged in ' , aUser username! !

!SgSession methodsFor: 'accessing' stamp: 'LT 11/1/2010 11:39:58.831'!
logout

	self user: nil.! !

!SgSession methodsFor: 'accessing' stamp: 'HK 11/1/2010 10:12:21.321'!
user
	^ user! !

!SgSession methodsFor: 'accessing' stamp: 'HK 11/1/2010 10:12:21.331'!
user: anObject
	user := anObject! !
